# Advanced Configuration

## Camera Setting <a href="#camera-setting" id="camera-setting"></a>

![](https://752643261-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-M1Ot9F_Ob2Aboz1SKNK%2F-M_ywgWGcIypHusSf8u9%2F-M_yx60k09BpSQfsdk45%2Fimage.png?alt=media\&token=4edd020c-7280-42b9-98f9-420a31a3b5ea)

#### a. **Video** Port <a href="#a-port_1" id="a-port_1"></a>

Destination video port, Mission Planner and QGroundControl supports video in HUD by default on port **5600 (or 5601, please see on XBSationPilopApp**)

#### b. Video source <a href="#b-video-source" id="b-video-source"></a>

Video device, default is **/dev/video0**

### c. Camera connection type <a href="#c-camera-connection-type" id="c-camera-connection-type"></a>

* UDP (default): to archive minimize latency
* TCP: method to achieve high reliability and anti grey-video on QGC

Note:

* **If you use MP, highly recommend UDP**
* **If you have grey-video on QGC, please change to TCP before turn on video**

#### d. Video Quality <a href="#e-video-quality" id="e-video-quality"></a>

#### **Note:**  Video streaming is start with auto quality (1280x720 pixels and 24fps with XBcamera ) <a href="#e-video-quality" id="e-video-quality"></a>

* **FPS:** Frame per second
* **Bitrate:** number of bits that can be either sent or received per time unit (kbps), default 0 is auto
* **Resolution:** resolution of stream video, you can change it during fly

**NOTE: You need to Turn OFF camera and Turn ON camera again to apply the change**

## Telemetry Setting <a href="#telemetry-setting" id="telemetry-setting"></a>

![](https://752643261-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-M1Ot9F_Ob2Aboz1SKNK%2F-Ma1gNyUPyQqQaOaW0Sv%2F-Ma1hf_sI6McOR8x8aWD%2Fimage.png?alt=media\&token=0d162b12-1c1e-4a70-9f70-93bf2170fde6)

#### a. Port <a href="#a-port" id="a-port"></a>

TCP telemetry server port, Ground Control Station can connect to this port via TCP to get telemetry data, default is **5760 (or 5761, please see on XBSationPilopApp)**

Change port number and click "**Restart**" button to change TCP server port

#### b. Connection <a href="#b-connection" id="b-connection"></a>

Telemetry data is relayed through internet in 2 connections method:

* UDP to archive minimize latency (possible packet loss, suitable for Joystick mode)
* TCP method to achieve high reliability

### Serial Setting

![Serial Setting](https://i.imgur.com/S5udDfZ.png)

#### a. Port <a href="#a-port_2" id="a-port_2"></a>

Port allows you to choose serial port on companion computer

The companion computer will show all available port (ttyS0, ttyUSB0, ttyUSB1…). You have to choose exactly serial port. If you don’t know name port, you can try them one by one.

With Rasp pi:

* Choose **ttyS0** (default) when you connect pi – pix via Direct Cable or **Stable Power Module, XBStatiom 4G LTE Module**
* Choose **ttyUSB0** when you connect pi – pix via USART USB

#### b. Baudrate <a href="#b-baudrate" id="b-baudrate"></a>

Baudrate allows you to choose serial baudrate on companion computer

The baudrate on companion computer have to same the baudrate (telemetry 2) on Pixhawk

* With PX4: **SER\_TEL2\_BAUD** (Default 921600), you should change **57600** for stable and save data.
* With ArduPilot: **SERIAL2\_BAUD** (Default **57**, it means 57600), **SERIAL2\_PROTOCOL**: **2** (mavlink 2)

**(If you have problem with Telemetry 2 port, you can use Telemetry 1 Port (Default baud rate Telemetry 1 is 57600 and SERIAL1\_PROTOCOL = 2))**

## **Gimbal Setting**

![](https://752643261-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-M1Ot9F_Ob2Aboz1SKNK%2F-M_yz5MVA-a6zwERGJU-%2F-M_z-R1UDL1_-014GlGU%2Fimage.png?alt=media\&token=078b51fb-1233-474f-9b10-02e95bc9313c)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xbstation.com/xblink-basic/xbstation-pilot-app/advanced-configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
